<?php

class Prestashop
{
  public static function validatePassword($hash, $password, $salt)
  {
    /** old versions */
    if (md5($salt . $password) === $hash
      || md5($salt . $password) . ':' . $salt === $hash
      || hash('sha256', $salt . $password) === $hash
      || hash('sha256', $salt . $password) . ':' . $salt === $hash
    ) {
      return true;
    }

    /** prestashop 1.7 */
    return function_exists('password_verify') && password_verify($password, $hash);
  }
}